Subject: merging initial part of a branch?

From: "J. Bruce Fields" <[email-masked]>
Date: Wed, 11 Jan 2006 18:04:51 -0500

External kernel projects sometimes work only against major
releases--it's easier for their users/testers to find a major release
than a random git version, and at least in the early prototype stage, it
isn't critical to be working on the tip all the time.

Is there a simple way to say, for example, "merge in all the upstream
changes up to v2.6.15"?

It looks like git pull will only update me to the very tip of a branch.
I could create a new local branch that stops at v2.6.15, then pull from
that.  Can I accomplish the same thing somehow with just one git pull?
Or is there some other convenient shorthand that I've missed?

--b.